%define module_dir  DBD
%define module_name %module_dir-Sybase

Name: perl-%module_name
Version: 1.07
Release: alt3

Summary: SyBase (TDS protocol) driver for DBI interface in Perl
Summary(ru_RU.UTF-8): Поддержка SyBase (протокол TDS) в Perl через абстрактный интерфейс DBI
Group: Development/Perl
License: GPL
URL: http://www.peppler.org/freeware/dbd-sybase.html

Source: %module_name-%version.tar.gz

Patch0: %module_name-1.05-alt-makefile.patch
Patch1: %module_name-1.07-alt-x86-64.patch

# Automatically added by buildreq on Tue Dec 21 2004
BuildRequires: libfreetds-devel perl-DBI-devel perl-devel

%description
DBD::Sybase is an interface driver for connecting the DBMS independent
Perl-API DBI to the any DBMS with TDS protocol support (i.e. MS-SQL,
Sybase etc.) via FreeTDS library.

%description -l ru_RU.UTF-8
DBD::Sybase -- это драйвер для доступа к базам данных, поддерживающим
протокол TDS (MS-SQL, SyBase и т.д), из программ на Perl, использующих
для работы с базами данных абстрактный интерфейс DBI. Пакет использует
свободную реализацию протокола TDS - FreeTDS, http://www.freetds.org.

%prep
%setup -q -n %module_name-%version
%patch0 -p1
%ifarch x86_64
%patch1 -p1
%endif

%build
export SYBASE=/usr
%def_without test
%perl_vendor_build

%install
%perl_vendor_install

# docs adjustment
%__mkdir_p %buildroot/%_docdir/%name-%version/examples
%__install -m 0644 eg/* %buildroot/%_docdir/%name-%version/examples

for f in 'BUGS CHANGES README' ; do
    %__install -m 644 $f %buildroot/%_docdir/%name-%version
done

%files
%perl_vendor_archlib/%module_dir
%perl_vendor_autolib/%module_dir
%perl_vendor_man3dir/*
%dir %_docdir/%name-%version
%doc %_docdir/%name-%version/*

%changelog
* Tue Jul 01 2008 Dmitry Lebkov <dlebkov@altlinux.ru> 1.07-alt3
- rebuild with FreeTDS v0.82

* Thu Dec 20 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 1.07-alt2
- Rebuild with new freetds.

* Fri Jan 12 2007 Dmitry Lebkov <dlebkov@altlinux.ru> 1.07-alt1
- 1.07

* Fri May 27 2005 ALT QA Team Robot <qa-robot@altlinux.org> 1.05-alt1.1
- Rebuild with new freetds.

* Tue Dec 21 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1.05-alt1
- new version

* Wed Sep 22 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1.04-alt1
- new version

* Mon May 31 2004 Dmitry Lebkov <dlebkov@altlinux.ru> 1.02-alt0.1
- new version

* Wed Mar 19 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 0.95-alt0.3
- rebuild wirth FreeTDS-0.61

* Mon Feb 10 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 0.95-alt0.2
- rebuild wirth FreeTDS-0.61rc1

* Tue Jan 28 2003 Dmitry Lebkov <dlebkov@altlinux.ru> 0.95-alt0.1
- inital build for ALT Linux

